Summary:	Small applet to display information from various applications consistently in the panel
Summary(pl.UTF-8):	Mały aplet do spójnego wyświetlania w panelu informacji od różnych aplikacji
Name:		mate-applet-indicator
Version:	1.26.0
Release:	2
License:	GPL v3
Group:		X11/Applications
Source0:	https://pub.mate-desktop.org/releases/1.26/mate-indicator-applet-%{version}.tar.xz
# Source0-md5:	6db4d42a268fb17ed7587fbb54f60c0d
URL:		http://mate-desktop.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	ayatana-ido-devel >= 0.4.0
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	gtk+3-devel >= 3.22
BuildRequires:	libayatana-indicator-gtk3-devel >= 0.6.0
BuildRequires:	libtool >= 1:1.4.3
BuildRequires:	mate-panel-devel >= 1.17.0
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
Requires(post,postun):	gtk-update-icon-cache
Requires:	ayatana-ido >= 0.4.0
Requires:	gtk+3 >= 3.22
Requires:	hicolor-icon-theme
Requires:	libayatana-indicator-gtk3 >= 0.6.0
Requires:	mate-panel >= 1.17.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# use the same libexecdir as mate-panel
# (better solution: store mate-panel libexecdir in libmatepanelapplet-*.pc and read it here)
%define		matepanel_libexecdir	%{_libexecdir}/mate-panel

%description
The indicator applet exposes Ayatana Indicators in the MATE Panel.
Ayatana Indicators are an initiative by Canonical to provide crisp and
clean system and application status indication. They take the form of
an icon and associated menu, displayed (usually) in the desktop panel.
Existing indicators include the Message Menu, Battery Menu and Sound
menu.

MATE Indicator Applet is a fork of Indicator Applet for GNOME
(<https://launchpad.net/indicator-applet>).

%description -l pl.UTF-8
Aplet indicator uwidacznia wskaźniki Ayatana w panelu MATE. Wskaźniki
Ayatana (Ayatana Indicators) to inicjatywa Canonical mająca na celu
zapewnienie świeżych i przejrzystych wskazań dotyczących stanu systemu
i aplikacji. Mają postać ikony i związanego z nią menu, wyświetlanych
(zwykle) w panelu pulpitu. Istniejące wskaźniki obejmują menu
komunikatów, menu baterii oraz menu dźwięku.

MATE Indicator Applet to odgałęzienie pakietu Indicator Applet dla
GNOME (<https://launchpad.net/indicator-applet>).

%prep
%setup -q -n mate-indicator-applet-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--libexecdir=%{matepanel_libexecdir} \
	--disable-silent-rules \
	--with-ayatana-indicators

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# es_ES,ku_IQ,ur_PK are outdated versions of es,ku,ur; the rest not supported by glibc
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{es_ES,frp,ie,jv,ku_IQ,nqo,pms,ur_PK,zh-Hans}

%find_lang mate-indicator-applet

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f mate-indicator-applet.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{matepanel_libexecdir}/mate-indicator-applet
%attr(755,root,root) %{matepanel_libexecdir}/mate-indicator-applet-appmenu
%attr(755,root,root) %{matepanel_libexecdir}/mate-indicator-applet-complete
%{_datadir}/dbus-1/services/org.mate.panel.applet.IndicatorApplet*.service
%{_datadir}/mate-panel/applets/org.mate.applets.Indicator*.mate-panel-applet
%{_iconsdir}/hicolor/scalable/apps/mate-indicator-applet.svg
%changelog
* Mon Aug 23 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-applet-indicator.git;a=log;h=master

* Mon Aug 23 2021 Jan Palus <atler@pld-linux.org> 7f93387
- use ayatana indicators; rel 2

* Wed Aug 18 2021 Jan Palus <atler@pld-linux.org> 6c57816
- up to 1.26.0

* Tue Feb 11 2020 Jan Palus <atler@pld-linux.org> 11dca3a
- up to 1.24.0

* Fri Sep 20 2019 Jan Palus <atler@pld-linux.org> 15c547b
- up to 1.22.1

* Tue Mar 19 2019 Jan Palus <atler@pld-linux.org> f6bfe49
- up to 1.22.0

* Sun Dec 16 2018 Jakub Bogusz <qboosh@pld-linux.org> b93a584
- honour system _libexecdir setting; release 2

* Mon Jun 18 2018 Jan Palus <atler@pld-linux.org> 3ba7ac0
- up to 1.20.1

* Wed Feb 07 2018 Jan Palus <atler@pld-linux.org> a6d9291
- up to 1.20.0

* Wed Oct 25 2017 Jan Palus <atler@pld-linux.org> fb01117
- up to 1.18.1

* Sun Mar 19 2017 Jakub Bogusz <qboosh@pld-linux.org> dd32d32
- versioned mate-panel dependency

* Wed Mar 15 2017 Jan Palus <atler@pld-linux.org> 9b079bc
- up to 1.18.0

* Thu Nov 03 2016 Jakub Bogusz <qboosh@pld-linux.org> 3f26cfa
- updated libindicator ng version

* Fri Sep 23 2016 Jan Palus <atler@pld-linux.org> 134e33f
- up to 1.16.0

* Sun Jul 24 2016 Jakub Bogusz <qboosh@pld-linux.org> e562446
- note dependencies for indicators-ng support

* Thu Jul 07 2016 Jan Palus <atler@pld-linux.org> 5d1e6bf
- up to 1.14.1

* Sat Apr 09 2016 Jan Palus <atler@pld-linux.org> 200e7f0
- up to 1.14.0

* Mon Nov 30 2015 Jan Palus <atler@pld-linux.org> 18cf4e0
- up to 1.12.1

* Fri Nov 06 2015 Jan Palus <atler@pld-linux.org> eb26114
- up to 1.12.0

* Thu May 14 2015 Jakub Bogusz <qboosh@pld-linux.org> bc26907
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> a73a368
- x32 rebuild
- release 2 (by relup.sh)

